<div class="col-lg-8 col-md-10">
    <h3>Registro:</h3>
    <form [formGroup]="registerForm" class="register-form" novalidate>
        <div class="form-group">
            <input type="text" class="form-control" id="firstName" placeholder="Nombre" formControlName="firstName">

            <div *ngIf="firstName.invalid && (firstName.dirty || firstName.touched)" class="alert alert-danger">
                <span *ngIf="firstName.errors.required">
                    El nombre es requerido.
                </span>
                <span *ngIf="firstName.errors.minlength">
                    El nombre debe tener al menos 3 caracteres.
                </span>
                <span *ngIf="firstName.errors.invalidName">
                    Ese nombre está reservado.
                </span>
            </div>
        </div>

        <div class="form-group">
            <input type="text" class="form-control" id="lastName" placeholder="Apellido" formControlName="lastName">

            <div *ngIf="lastName.invalid && (lastName.dirty || lastName.touched)" class="alert alert-danger">
                <span *ngIf="lastName.errors.required">
                    El apellido es requerido.
                </span>
                <span *ngIf="lastName.errors.minlength">
                    El apellido debe tener al menos 3 caracteres.
                </span>
                <span *ngIf="lastName.errors.invalidName">
                    Ese apellido está reservado.
                </span>
            </div>
        </div>

        <div class="form-group">
            <input type="email" class="form-control" id="email" placeholder="Correo electrónico" formControlName="email">

            <div *ngIf="email.invalid && (email.dirty || email.touched)" class="alert alert-danger">
                <span *ngIf="email.errors.required">
                    El correo es requerido.
                </span>
                <span *ngIf="email.errors.email">
                    El correo es inválido.
                </span>
                <span *ngIf="email.errors.notAvailable">
                    <strong>{{ email.value }}</strong> no está disponible. 
                </span>
            </div>
        </div>

        <div class="form-group">
            <input type="password" class="form-control" id="password" placeholder="Contraseña" formControlName="password">

            <div *ngIf="password.invalid && (password.dirty || password.touched)" class="alert alert-danger">
                <span *ngIf="password.errors.required">
                    La contraseña es requerida.
                </span>
                <span *ngIf="password.errors.minlength">
                    La contraseña debe tener al menos 6 caracteres.
                </span>
            </div>
        </div>

        <div class="form-group">
            <input type="password" class="form-control" id="secondPassword" placeholder="Repita su contraseña" formControlName="secondPassword">

            <div *ngIf="secondPassword.invalid && (secondPassword.dirty || secondPassword.touched)" class="alert alert-danger">
                <span *ngIf="secondPassword.errors.required">
                    Este campo es requerido.
                </span>
                <span *ngIf="secondPassword.errors.notMatch">
                    Las contraseñas no coinciden.
                </span>
            </div>
        </div>

        <div class="btns-container">
            <button [disabled]="registerForm.invalid" class="btn btn-primary" (click)="onSubmit()">Registrarse</button>
            <button [disabled]="registerForm.pristine && registerForm.invalid" class="btn btn-danger" (click)="onClear()">Limpiar</button>
        </div>
    </form>
</div>